package com.yd.rmi.tencent.wechatinterf.pojo.unifiedorder;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

@XmlRootElement(name="xml")
@XmlType(propOrder = { "return_code","return_msg","appid","mch_id","device_info","nonce_str","sign","result_code","err_code","err_code_des","trade_type","prepay_id","code_url","openid"})
public class UnifiedorderResponse {

	private String return_code;	//返回状态码
	private String return_msg;	//返回信息
	private String appid;	//公众账号ID
	private String mch_id;	//商户号
	private String device_info;	//设备号
	private String nonce_str;	//随机字符串
	private String sign;	//签名
	private String result_code;	//业务结果
	private String err_code;	//错误代码
	private String err_code_des;	//错误代码描述
	private String trade_type;	//交易类型
	private String prepay_id;	//预支付交易会话标识
	private String code_url;	//二维码链接
	private String openid;


	/**
	 * @param return_code	返回状态码
	 */
	public void setReturn_code(String return_code) {
		this.return_code = return_code;
	}

	/**
	 * @return	return_code	返回状态码
	 */
	@XmlElement(name = "return_code")
	public String getReturn_code() {
		return return_code;
	}

	/**
	 * @param return_msg	返回信息
	 */
	public void setReturn_msg(String return_msg) {
		this.return_msg = return_msg;
	}

	/**
	 * @return	return_msg	返回信息
	 */
	@XmlElement(name = "return_msg")
	public String getReturn_msg() {
		return return_msg;
	}

	/**
	 * @param appid	公众账号ID
	 */
	public void setAppid(String appid) {
		this.appid = appid;
	}

	/**
	 * @return	appid	公众账号ID
	 */
	@XmlElement(name = "appid")
	public String getAppid() {
		return appid;
	}

	/**
	 * @param mch_id	商户号
	 */
	public void setMch_id(String mch_id) {
		this.mch_id = mch_id;
	}

	/**
	 * @return	mch_id	商户号
	 */
	@XmlElement(name = "mch_id")
	public String getMch_id() {
		return mch_id;
	}

	/**
	 * @param device_info	设备号
	 */
	public void setDevice_info(String device_info) {
		this.device_info = device_info;
	}

	/**
	 * @return	device_info	设备号
	 */
	@XmlElement(name = "device_info")
	public String getDevice_info() {
		return device_info;
	}

	/**
	 * @param nonce_str	随机字符串
	 */
	public void setNonce_str(String nonce_str) {
		this.nonce_str = nonce_str;
	}

	/**
	 * @return	nonce_str	随机字符串
	 */
	@XmlElement(name = "nonce_str")
	public String getNonce_str() {
		return nonce_str;
	}

	/**
	 * @param sign	签名
	 */
	public void setSign(String sign) {
		this.sign = sign;
	}

	/**
	 * @return	sign	签名
	 */
	@XmlElement(name = "sign")
	public String getSign() {
		return sign;
	}

	/**
	 * @param result_code	业务结果
	 */
	public void setResult_code(String result_code) {
		this.result_code = result_code;
	}

	/**
	 * @return	result_code	业务结果
	 */
	@XmlElement(name = "result_code")
	public String getResult_code() {
		return result_code;
	}

	/**
	 * @param err_code	错误代码
	 */
	public void setErr_code(String err_code) {
		this.err_code = err_code;
	}

	/**
	 * @return	err_code	错误代码
	 */
	@XmlElement(name = "err_code")
	public String getErr_code() {
		return err_code;
	}

	/**
	 * @param err_code_des	错误代码描述
	 */
	public void setErr_code_des(String err_code_des) {
		this.err_code_des = err_code_des;
	}

	/**
	 * @return	err_code_des	错误代码描述
	 */
	@XmlElement(name = "err_code_des")
	public String getErr_code_des() {
		return err_code_des;
	}

	/**
	 * @param trade_type	交易类型
	 */
	public void setTrade_type(String trade_type) {
		this.trade_type = trade_type;
	}

	/**
	 * @return	trade_type	交易类型
	 */
	@XmlElement(name = "trade_type")
	public String getTrade_type() {
		return trade_type;
	}

	/**
	 * @param prepay_id	预支付交易会话标识
	 */
	public void setPrepay_id(String prepay_id) {
		this.prepay_id = prepay_id;
	}

	/**
	 * @return	prepay_id	预支付交易会话标识
	 */
	@XmlElement(name = "prepay_id")
	public String getPrepay_id() {
		return prepay_id;
	}

	/**
	 * @param code_url	二维码链接
	 */
	public void setCode_url(String code_url) {
		this.code_url = code_url;
	}

	/**
	 * @return	code_url	二维码链接
	 */
	@XmlElement(name = "code_url")
	public String getCode_url() {
		return code_url;
	}

	public String getOpenid() {
		return openid;
	}

	public void setOpenid(String openid) {
		this.openid = openid;
	}

}
